#!/usr/bin/env python
# coding: utf-8

import matplotlib.pyplot as plt
import cartopy.crs as ccrs
import cartopy.feature as cfeature
from cartopy.mpl.ticker import LatitudeFormatter, LongitudeFormatter
#import matplotlib.ticker as mticker
#import matplotlib.path as mpath
import pandas as pd
#import matplotlib as mpl

land_10m = cfeature.NaturalEarthFeature('physical', 'land', '10m',
                                        edgecolor='face',
                                        facecolor='0.5')

#plt.rcParams["font.family"] = "Arial"    # フォント設定
#plt.rcParams["mathtext.cal"] = "Arial"       # TeX表記に関するフォント設定
#plt.rcParams["mathtext.rm"] =  "Arial"       # TeX表記に関するフォント設定
#plt.rcParams["mathtext.it"] = "Arial"      # TeX表記に関するフォント設定
#plt.rcParams["mathtext.bf"] =  "Arial"    # TeX表記に関するフォント設定

#'''#### Making dataframe
data = [
    [29.00183, 126.66763],
    [30.75135, 129.25145],
    [30.33252, 130.00135],
    [30.26713, 130.29797],
    [30.67355, 131.49778],
    [29.99970, 134.74943],
    [32.83307, 133.83672],
    [31.37088, 135.50090]
]

columns = ['lat', 'lon']
df = pd.DataFrame(data)
df.columns = columns
#print("df1", df)
#exit()
#'''#####

#df = pd.read_excel('infile.xlsx', sheet_name='st')
#print("df2", df)
#exit()

fig = plt.figure(figsize=(10,8)) 
ax = plt.axes(projection=ccrs.Mercator())

ax.set_extent([126,139,26,35],ccrs.PlateCarree())

ax.add_feature(land_10m)
ax.coastlines(resolution='10m', lw=0.5)

ax.set_xticks(range(126, 139, 2), crs=ccrs.PlateCarree())

ax.set_yticks(range(26, 35, 2), crs=ccrs.PlateCarree())

lon_formatter = LongitudeFormatter(zero_direction_label=True)
lat_formatter = LatitudeFormatter()

ax.xaxis.set_major_formatter(lon_formatter)
ax.yaxis.set_major_formatter(lat_formatter)

ax.scatter(df['lon'], df['lat'],s= 25, c='r',edgecolors="black" ,alpha=1, zorder = 10, transform=ccrs.PlateCarree())

fig.savefig("out.pdf", bbox_inches="tight", dpi=600)
#fig.savefig("out.jpg", bbox_inches="tight", dpi=600)
fig.savefig("out.png", bbox_inches="tight", dpi=600)
